<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myAccountTransactionLabel" jhiTranslate="bakApp.accountTransaction.home.createOrEditLabel">Create or edit an Account Transaction</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!accountTransaction.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="accountTransaction.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.accountTransaction.amount" for="field_amount">Amount</label>
            <input type="number" class="form-control" name="amount" id="field_amount"
                [(ngModel)]="accountTransaction.amount" required/>
            <div [hidden]="!(editForm.controls.amount?.dirty && editForm.controls.amount?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.amount?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.amount?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.accountTransaction.txDate" for="field_txDate">Tx Date</label>
            <div class="input-group">
                <input id="field_txDate" type="text" class="form-control" name="txDate" ngbDatepicker  #txDateDp="ngbDatepicker" [(ngModel)]="accountTransaction.txDate"
                required/>
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="txDateDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
            <div [hidden]="!(editForm.controls.txDate?.dirty && editForm.controls.txDate?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.txDate?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.accountTransaction.type" for="field_type">Type</label>
            <select class="form-control" name="type" [(ngModel)]="accountTransaction.type" id="field_type"  required>
                <option value="WITHDRAWAL">{{'bakApp.Transactions.WITHDRAWAL' | translate}}</option>
                <option value="DEPOSIT">{{'bakApp.Transactions.DEPOSIT' | translate}}</option>
            </select>
            <div [hidden]="!(editForm.controls.type?.dirty && editForm.controls.type?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.type?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.accountTransaction.bankAccount" for="field_bankAccount">Bank Account</label>
	    {{bankAccount.accountNumber}}
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
